Subject: [Sip] draft-ietf-sip-outbound - transport issue

From: "Jeroen van Bemmel" <[email-masked]>
Date: Mon, 3 Apr 2006 23:48:47 +0200

Keith,

 There is another issue related to transports that IMO the outbound draft 
should have normative text for: UDP versus TCP flows

RFC3261 section 18.2.1 requires that the UA (as a server) be reachable over 
TCP on the same port and interface as UDP. Wouldn't this imply that when the 
UA sets up a UDP flow using outbound, it MUST also setup a TCP flow (even 
though it would have to use a different, ephemereal port for that)?

For proper SIP protocol operation, an incoming message must be received over 
TCP if it becomes too large. The UAC SHOULD probably use a single REGISTER 
with 2 Contacts for this purpose, 1 using UDP and 1 transport=tcp (with 
different reg-ids).

The draft should also contain text on how "last contact registered" is to be 
interpreted when multiple contacts are received within 1 REGISTER (e.g. last 
one in message order?)

Regards,

jeroen

----- Original Message ----- 
From: "Drage, Keith (Keith)" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, March 25, 2006 2:51 AM
Subject: [Sip] draft-ietf-sip-outbound

> (as chair)
>
> As a result of the face-to-face meeting held at IETF #65, we agreed in the 
> room on the keepalive mechanism:
>
> - OS TCP KeepAlive should be used if the client supports it.
> - Need something more because OS TCP KeepAlive is not supported in every 
> client OS.
> - Consensus to use STUN for UDP
> - Consensus to use STUN for TCP, with use of OS TCP keep alive above.
>
> With these agreements the meeting also agreed that the document was ready 
> for WGLC.
>
> As a result of this Rohan has produced:
>
> http://www.ietf.org/internet-drafts/draft-ietf-sip-outbound-03.txt
>
> Unfortunately one of the agreements was left out of this update, and a 
> number of NITS have also been identified.
>
> Required Actions:
>
> 1) Authors: Produce -04 version to take account of remaining issues where 
> consensus exists and any NITS.
>
> 2) Working group: Any dissent to the agreements listed above or do we have 
> rough consensus to proceed according to the agreements made in the meeting
>
> 3) Working group: Are we ready to move to WGLC. Please indicate if you 
> consider this document needs more work preceding WGLC.
>
> Pleaswe complete all these actions by 31st March 2006.
>
>
> regards
>
> Keith
>
> Keith Drage
> [email-masked]
> tel: +44 1793 776249
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Tue, 4 Apr 2006 09:43:57 +0200

Hi, 

>The port resolution wouldn't be done until a request reaches the
location service (e.g. co-located with the registrar). 
>So as long as both types of transport are registered, I don't see a
problem with the fact that they are at different 
>ports

No, but I thought you said you want to do something which allow the SAME
port to be used for UDP and TCP. Or, did I missunderstand?

Regards,

Christer

Without this, e.g. a NOTIFY coming in over TCP (for example with a large
body, quite common) could not be delivered if the UAC only registered a
UDP Contact / flow

Regards,

Jeroen

----- Original Message -----
From: "Christer Holmberg (JO/LMF)" <[email-masked]>
To: "Jeroen van Bemmel" <[email-masked]>; "Drage, Keith (Keith)" 
<[email-masked]>; <[email-masked]>
Sent: Tuesday, April 04, 2006 12:25 AM
Subject: RE: [Sip] draft-ietf-sip-outbound - transport issue

Hi,

Could you clarify how setting up two flows, with different source ports,
is affecting the ability to be able to receive udp and tcp traffic on a
single port?

Regards,

Christer

-----Original Message-----
From: Jeroen van Bemmel [mailto:[email-masked]]
Sent: 4. huhtikuuta 2006 0:49
To: Drage, Keith (Keith); [email-masked]
Subject: [Sip] draft-ietf-sip-outbound - transport issue

Keith,

 There is another issue related to transports that IMO the outbound
draft should have normative text for: UDP versus TCP flows

RFC3261 section 18.2.1 requires that the UA (as a server) be reachable
over TCP on the same port and interface as UDP. Wouldn't this imply that
when the UA sets up a UDP flow using outbound, it MUST also setup a TCP
flow (even though it would have to use a different, ephemereal port for
that)?

For proper SIP protocol operation, an incoming message must be received
over TCP if it becomes too large. The UAC SHOULD probably use a single
REGISTER with 2 Contacts for this purpose, 1 using UDP and 1
transport=tcp (with different reg-ids).

The draft should also contain text on how "last contact registered" is
to be interpreted when multiple contacts are received within 1 REGISTER
(e.g. last one in message order?)

Regards,

jeroen